routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/locale/{locale}', 'IndexController@changeLocale')->name('locale');

Route::group(['middleware' => ['set_locale']], function () {
    Route::get('/', 'IndexController@showIndex')->name('index');
    Route::post( '/', 'IndexController@indexForm')->name('form');
    Route::get('/servis', 'ServisController@show')->name('servis');
});

Route::get('/register', 'UserController@create')->name('register.create');
Route::post('/register', 'UserController@store')->name('register.store');

Route::get('/login', 'UserController@loginForm')->name('login.form');
Route::post('/login', 'UserController@login')->name('login');
Route::get('/logout', 'UserController@logout')->name('logout');




Route::group(['middleware' => 'auth'], function (){
    Route::get('/main', function(){return view('user.admin_main');})->name('admin.main');
    Route::resource('crudnews', 'NewsController');
    Route::resource('crudprices', 'PriceController');
});

app/Models/Prices.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Prices extends Model
{
    use HasFactory;

    protected $table = 'prices';

    protected $fillable = ['services_ee', 'services_ru', 'price'];
}

app/Http/Controllers/PriceController.php
<?php

namespace App\Http\Controllers;

use App\Models\Prices;
use Illuminate\Http\Request;

class PriceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $prices = Prices::all();
        return view('crud.prices.index', compact('prices'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'services_ru' => 'required',
            'services_ee' => 'required',
            'price' => 'required',
        ]);

        Prices::create($request->all());

        return redirect()->route('crudprices.index')->with('success', 'Добавлено!');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $price = Prices::find($id);
        return view('crud.prices.edit', [
            'price' => $price,
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'services_ru' => 'required',
            'services_ee' => 'required',
            'price' => 'required',
        ]);

        $price = Prices::find($id);
        $price->update($request->all());
        return redirect()->route('crudprices.index')->with('success', 'Изменено!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Prices::destroy($id);
        return redirect()->route('crudprices.index')->with('success', 'Удалено!');
    }
}

resources/views/crud/prices/edit.blade.php
@extends('layout.admin_layout')

@section('admin_content')
    <div class="admin__container">
        <div class="back-btn">
            <a href="{{route('crudprices.index')}}">Назад</a>
        </div>
        <form action="{{route('crudprices.update', $price->id)}}" method="post" class="form__inner">
            @if ($errors->any())
                <div class="alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            @if (session()->has('error'))
                <div class="alert-danger">
                    {{ session('error') }}
                </div>
            @endif
            @if (session()->has('success'))
                <div class="alert-success">
                    {{ session('success') }}
                </div>
            @endif
            @method('PUT')
            @csrf
                <div class="form-group">
                    <label for="services_ru">Название услуги на русском</label><br>
                    <input type="text" name="services_ru">
                </div>
                <div class="form-group">
                    <label for="services_ee">Название услуги на эстонском</label><br>
                    <input type="text" name="services_ee">
                </div>
                <div class="form-group">
                    <label for="price">Цена</label><br>
                    <input type="text" name="price">
                </div>


                <button type="submit">Изменить услугу</button>
        </form>
    </div>

@endsection

resources/views/crud/prices/index.blade.php
@extends('layout.admin_layout')

@section('admin_content')
    <div class="admin__container">
        <div class="back-btn">
            <a href="{{route('admin.main')}}">Назад</a>
        </div>
        <section class="admin-prices">
            <div class="admin-prices__wrapper">
                <div class="admin-prices__wrapper-title">Изменить цены и добавить услуги</div>
                <table class="admin-prices__table">
                    <tr>
                        <th>Услуги на русском языке</th>
                        <th>Услуги на эстонском языке</th>
                        <th>Цены</th>
                        <th>Исправить</th>
                        <th>Удалить</th>
                    </tr>
                    @foreach($prices as $price)
                        <tr>
                            <td>{{$price->services_ru}}</td>
                            <td>{{$price->services_ee}}</td>
                            <td>{{$price->price}}</td>
                            <td>
                                <a href="{{route('crudprices.edit', $price->id)}}">Изменить</a>
                            </td>
                            <td>
                                <form method="post" action="{{route('crudprices.destroy', $price->id)}}">
                                    @csrf
                                    @method('DELETE')
                                    <input type="submit" value="Удалить" class="form-del">
                                </form>
                            </td>
                        </tr>

                    @endforeach
                </table>
            </div>
        </section>
        @if ($errors->any())
            <div class="alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        @if (session()->has('error'))
            <div class="alert-danger">
                {{ session('error') }}
            </div>
        @endif
        @if (session()->has('success'))
            <div class="alert-success">
                {{ session('success') }}
            </div>
        @endif
        <form action="{{route('crudprices.store')}}" method="post" class="form__inner">

            @csrf

            <div class="form-group">
                <label for="services_ru">Название услуги на русском</label><br>
                <input type="text" name="services_ru">
            </div>
            <div class="form-group">
                <label for="services_ee">Название услуги на эстонском</label><br>
                <input type="text" name="services_ee">
            </div>
            <div class="form-group">
                <label for="price">Цена</label><br>
                <input type="text" name="price">
            </div>


            <button type="submit">Добавить услугу</button>
        </form>
    </div>
    @endsection